Subject: Re: Linking with Borland C
From: [email-masked] (Anders Norlander)

21 Sep 1998 18:47:35 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Juergen Bausa <[email-masked]>
Cc: [email-masked]

Juergen Bausa wrote:
> I am using another gcc-port (rsxnt) where I had no poblem in creating an
> import-library and linking to it (or, using LoadLibrary & GetProcAddress).
> I took the X11-libraries from Sergej, used only the DLL's and Headers and
> created my own Inport-Libraries, which I then linked to my rsxnt-gcc program.
> However, it crashed on every call of an X11-function.
> 
> The real problem is to execute a function in a cygnus-made dll, that
> uses functions like 'malloc'. I think these functions are not correctly
> initialized when the dll is loaded by a non-cygnus program.

That is most certainly true. Some of the cygwin developers should
know more about this. Try searching the mailing list.
Why don't you use cygwin instead of rsxnt?

/Anders
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".